Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.sqwrl
Interface DatatypeValue

All Superinterfaces:
  Comparable, ResultValue

All Known Subinterfaces:
  OWLDatatypeValue

All Known Implementing Classes:
  Literal, OWLDatatypeValueImpl

    public interface DatatypeValue

extends ResultValue

Method Summary
`RDFSLiteral` | `asRDFSLiteral(OWLModel owlModel)`
`AnyURI` | `getAnyURI()`
`Base64Binary` | `getBase64Binary()`
`BigDecimal` | `getBigDecimal()`
`BigInteger` | `getBigInteger()`
`boolean` | `getBoolean()`
`byte` | `getByte()`
`Date` | `getDate()`
`double` | `getDouble()`
`Duration` | `getDuration()`
`float` | `getFloat()`
`GDay` | `getGDay()`
`GMonth` | `getGMonth()`
`GMonthDay` | `getGMonthDay()`
`GYear` | `getGYear()`
`GYearMonth` | `getGYearMonth()`
`HexBinary` | `getHexBinary()`
`int` | `getInt()`
`long` | `getLong()`
`NOTATION` | `getNOTATION()`
`Number` | `getNumber()`
`QName` | `getQName()`
`short` | `getShort()`
`String` | `getString()`
`Time` | `getTime()`
`boolean` | `isAnyURI()`
`boolean` | `isBase64Binary()`
`boolean` | `isBigDecimal()`
`boolean` | `isBigInteger()`
`boolean` | `isBoolean()`
`boolean` | `isByte()`
`boolean` | `isDate()`
`boolean` | `isDateTime()`
`boolean` | `isDouble()`
`boolean` | `isDuration()`
`boolean` | `isFloat()`
`boolean` | `isGDay()`
`boolean` | `isGMonth()`
`boolean` | `isGMonthDay()`
`boolean` | `isGYear()`
`boolean` | `isGYearMonth()`
`boolean` | `isHexBinary()`
`boolean` | `isInteger()`
`boolean` | `isLong()`
`boolean` | `isNOTATION()`
`boolean` | `isNumeric()`
`boolean` | `isPrimitiveXSDType()`
`boolean` | `isQName()`
`boolean` | `isShort()`
`boolean` | `isString()`
`boolean` | `isTime()`
`String` | `toString()`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### isString

    boolean isString()

### isBoolean

    boolean isBoolean()

### isNumeric

    boolean isNumeric()

### isInteger

    boolean isInteger()

### isLong

    boolean isLong()

### isFloat

    boolean isFloat()

### isDouble

    boolean isDouble()

### isShort

    boolean isShort()

### isByte

    boolean isByte()

### isBigDecimal

    boolean isBigDecimal()

### isBigInteger

    boolean isBigInteger()

### getString

    String getString()
                     throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getBoolean

    boolean getBoolean()
                       throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getInt

    int getInt()
               throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getLong

    long getLong()
                 throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getFloat

    float getFloat()
                   throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getDouble

    double getDouble()
                     throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getShort

    short getShort()
                   throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getByte

    byte getByte()
                 throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getBigDecimal

    BigDecimal getBigDecimal()
                             throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getBigInteger

    BigInteger getBigInteger()
                             throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getNumber

    Number getNumber()
                     throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### asRDFSLiteral

    RDFSLiteral asRDFSLiteral(OWLModel owlModel)
                              throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### isPrimitiveXSDType

    boolean isPrimitiveXSDType()

### isTime

    boolean isTime()

### isDate

    boolean isDate()

### isDuration

    boolean isDuration()

### isDateTime

    boolean isDateTime()

### isAnyURI

    boolean isAnyURI()

### isBase64Binary

    boolean isBase64Binary()

### isGDay

    boolean isGDay()

### isGMonth

    boolean isGMonth()

### isGYear

    boolean isGYear()

### isHexBinary

    boolean isHexBinary()

### isGMonthDay

    boolean isGMonthDay()

### isGYearMonth

    boolean isGYearMonth()

### isNOTATION

    boolean isNOTATION()

### isQName

    boolean isQName()

### getTime

    Time getTime()
                 throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getDate

    Date getDate()
                 throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getDuration

    Duration getDuration()
                         throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getAnyURI

    AnyURI getAnyURI()
                     throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getBase64Binary

    Base64Binary getBase64Binary()
                                 throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getHexBinary

    HexBinary getHexBinary()
                           throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getGDay

    GDay getGDay()
                 throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getGMonth

    GMonth getGMonth()
                     throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getGYear

    GYear getGYear()
                   throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getGMonthDay

    GMonthDay getGMonthDay()
                           throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getGYearMonth

    GYearMonth getGYearMonth()
                             throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getNOTATION

    NOTATION getNOTATION()
                         throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### getQName

    QName getQName()
                   throws DatatypeConversionException

  Throws:
    `DatatypeConversionException`

### toString

    String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.